GET /self_ship_collections/{self_ship_collection_id}

Availability: Public Preview

This endpoint is currently in public preview and available only to approved accounts. Please contact Arta to request access for your organization.

Retrieve an existing self-ship collection by its ID

Headers

  • Authorization string Required

    Authorize your API calls with an Arta API token

Path parameters

  • self_ship_collection_id string Required

    self_ship_collection_id parameter

Responses

  • 200 application/json

    Successful Self-Ship Collection response

    Hide headers attributes Show headers attributes
    • content-type string
    • x-arta-request-id string

      A unique identifier for the Arta API call

    Hide response attributes Show response attributes object
    • closed_at string | null

      A NaiveDatetime-formatted timestamp describing when the collection was closed

    • collection_date string(date)

      The pickup date in ISO 8601 format (YYYY-MM-DD).

    • collection_time string

      The pickup time in ISO 8601 format (HH:MM:SS).

    • created_at string

      A NaiveDatetime-formatted timestamp describing when the resource was created with microsecond precision

    • id string(uuid)

      The ID of the self-ship collection in UUID format

    • location object

      The pickup location details

      Hide location attributes Show location attributes object
      • address_line_1 string

        Street address

      • address_line_2 string | null

        Additional address info

      • city string

        City

      • close_time string

        Location closing time in ISO 8601 format (HH:MM:SS)

      • contact object

        Contact at the pickup location

        Hide contact attributes Show contact attributes object
        • email_address string

          Contact email address

        • name string

          Contact name

        • phone_number string

          Contact phone number

      • country string

        Two-letter country code

      • package_location string

        Where packages are located at the pickup location

        Values are front, none, rear, or side.

      • postal_code string

        Postal code

      • region string

        State or province code

    • service object

      Carrier service details

      Hide service attributes Show service attributes object
      • carrier string

        Carrier identifier

        Value is fedex.

      • code string

        Service level code

        Values are express or ground.

      • route string

        Route type

        Values are domestic or international.

    • shortcode string

      A human-readable identifier for the collection, formatted as the organization's shortcode followed by a hyphen and six alphanumeric characters

      Format should match the following pattern: ^[A-Z]+-[A-Z0-9]{6}$.

    • status string

      The current status of the collection

      Values are scheduled, closed, cancelled, or incomplete.

    • updated_at string

      A NaiveDatetime-formatted timestamp describing when the resource was last updated with microsecond precision

  • 404 application/json

    Not Found

    Hide headers attributes Show headers attributes
    • content-type string
    • x-arta-request-id string

      A unique identifier for the Arta API call

    Hide response attribute Show response attribute object
    • errors object
      Hide errors attribute Show errors attribute object
      • detail string
GET /self_ship_collections/{self_ship_collection_id}
curl \
 --request GET 'https://api.arta.io/self_ship_collections/{self_ship_collection_id}' \
 --header "Authorization: ARTA_APIKey s0e1t2e3c4a5s6t7r8o9n10o11m12y"
Response examples (200)
# Headers
content-type: application/json
x-arta-request-id: FkBjuxbwLLTx4RoAARkx

# Payload
{
  "id": "550e8400-e29b-41d4-a716-446655440000",
  "status": "scheduled",
  "service": {
    "code": "express",
    "route": "domestic",
    "carrier": "fedex"
  },
  "location": {
    "city": "New York",
    "region": "NY",
    "contact": {
      "name": "John Doe",
      "phone_number": "+1-555-123-4567",
      "email_address": "john@example.com"
    },
    "country": "US",
    "close_time": "17:00:00",
    "postal_code": "10001",
    "address_line_1": "123 Main St",
    "address_line_2": null,
    "package_location": "front"
  },
  "closed_at": null,
  "shortcode": "ACME-S3GP24",
  "created_at": "2026-03-01T12:00:00.000000",
  "updated_at": "2026-03-01T12:00:00.000000",
  "collection_date": "2026-03-06",
  "collection_time": "10:00:00"
}
Response examples (404)
# Headers
content-type: application/json
x-arta-request-id: FkBjuxbwLLTx4RoAARkx

# Payload
{
  "errors": {
    "detail": "string"
  }
}